<?php
include('../includes/validador.php');
include('../conexiones/conex.php');
include('../includes/funciones.php');

$proceso = $_POST['proceso'];

$persona = $_POST['int_persona'];
$antiguedad = $_POST['antiguedad'];
$email = $_POST['email'];
$pass = $_POST['pass'];
$pass = hash('sha512', $pass);
$rol = $_POST['rol'];

//VERIFICAMOS EL PROCESO

switch($proceso){
	case 'Registro':
        
        try {
            $con->autocommit(FALSE);
            $queryAlum="INSERT INTO funcionario (Persona_id, Antiguedad, strEmail, strPassword, nivel)
            VALUES(
                '$persona', 
                '$antiguedad', 
                '$email', 
                '$pass', 
                '$rol'
                )";
            $con->query($queryAlum) or throw_ex(mysqli_error($con)); //si re registró bien

            $con->commit();
            $con->close();
            echo 1;
        } catch (Exception $e) {  
            $con->rollback();
            echo $e;
            $con->close(); 
        }
	break;
	
	case 'Edicion':
        $id = $_POST['idpers'];

        if(isset($pass)&&($pass!=""))	{
            
            $nuevo_pass = $pass; 
		} else {
			$nuevo_pass = $_POST["pass_old"];
        }

        try {
            $con->autocommit(FALSE);
        
            $queryEdiFunc="UPDATE funcionario SET 
            Antiguedad = '$antiguedad', 
            strEmail = '$email', 
            strPassword = '$nuevo_pass', 
            nivel = '$rol'
            WHERE Persona_id = '$id'";
            $con->query($queryEdiFunc) or throw_ex(mysqli_error($con)); //si re registró bien
            
            $con->commit();
            echo 1;
            $con->close();
        } catch (Exception $e) {  
            $con->rollback();
            echo 2;
            $con->close(); 
        }
	break;
}

?>